module Fenix
  class Request < Rack::Request
    BOT_AGENTS = [
      /archive.org/i,
      /baiduspider/i,
      /bingbot/i,
      /blexbot/i
      /googlebot/i,
      /msnbot/i,
      /yahoo/i,
      /yandexbot/i
    ]

    def bot?
      BOT_AGENTS.any? { |bot_agent| user_agent =~ bot_agent }
    end
  end # Request
end # Fenix